PROGRAM MatAddSub
   IMPLICIT NONE

   INTEGER, PARAMETER  :: Low = 1, High = 20
   INTEGER, DIMENSION(Low:High,Low:High) :: Data,Data2, MatSum, MatSub
   INTEGER             :: I, J, Tmp 

   
! ....


   
   DO I = Low, High
      DO J = Low, High
         MatSum(I,J) = Data(I,J) + Data2(I,J)  ! doing + 
         MatSub(I,J) = Data(I,J) - Data2(I,J)  ! doing -
      END DO
   END DO
  
   DO I = Low, High
     WRITE(*,*) (MatSum(I,J), J = Low, High)   ! Printing +
   END DO

   DO I = Low, High
     WRITE(*,*) (MatSub(I,J), J = Low, High)   ! Printing -
   END DO

END PROGRAM MatAddSub
